org.eclipse.mat.query.results

## Class PropertyResult

- java.lang.Object
- - org.eclipse.mat.query.results.PropertyResult

All Implemented Interfaces:
  IIconProvider, IResult, IResultTable, IStructuredResult

    public class PropertyResult
    extends Object
    implements IResultTable, IIconProvider

Extract properties from an object and display as a result table. Compare to `ListResult` which extracts and displays from a list of objects. The column names are derived from the property names. If the names are required to be internationalized then a BeanInfo can be provided for the subject class which provides a display name for the property descriptor.

### Field Summary

### Fields inherited from interface org.eclipse.mat.query.IIconProvider

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`PropertyResult(Object subject, String... properties)` Generate a result from a single object

### Method Summary

All Methods Instance Methods Concrete Methods
`Column[]` `getColumns()` The columns of the tree or table.
`Object` `getColumnValue(Object row, int columnIndex)` Returns the (unformatted) value of a table/tree cell.
`IContextObject` `getContext(Object row)` The default context of the row which is used to display information in the object inspector.
`URL` `getIcon(Object row)`
`ResultMetaData` `getResultMetaData()` (Optionally) Return meta data of the result needed to fine-tune the display of the result.
`Object` `getRow(int rowId)` Returns the object of the row with the given row number.
`int` `getRowCount()` Returns the number of rows in the result table.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyResult

    public PropertyResult(Object subject,
                          String... properties)

Generate a result from a single object

Type Parameters:
  `L` -
Parameters:
  `subject` - the object
  `properties` - the field names or Java Bean properties to extract, or null or none to extract them all.

### Method Detail

#### getResultMetaData

    public ResultMetaData getResultMetaData()

Description copied from interface: `IResult`
(Optionally) Return meta data of the result needed to fine-tune the display of the result. This could include an additional context, an additional query to run on selected data from the result , additional calculated columns, or an indication that the results are already presorted.

Specified by:
  `getResultMetaData` in interface `IResult`

#### getColumns

    public final Column[] getColumns()

Description copied from interface: `IStructuredResult`
The columns of the tree or table.

Specified by:
  `getColumns` in interface `IStructuredResult`

#### getRowCount

    public final int getRowCount()

Description copied from interface: `IResultTable`
Returns the number of rows in the result table.

Specified by:
  `getRowCount` in interface `IResultTable`

#### getRow

    public final Object getRow(int rowId)

Description copied from interface: `IResultTable`
Returns the object of the row with the given row number.

Specified by:
  `getRow` in interface `IResultTable`
Parameters:
  `rowId` - The row number.
Returns:
  The row object, which can be passed to `IStructuredResult.getContext(Object)` or `IStructuredResult.getColumnValue(Object, int)`.

#### getColumnValue

    public final Object getColumnValue(Object row,
                                       int columnIndex)

Description copied from interface: `IStructuredResult`
Returns the (unformatted) value of a table/tree cell.

Specified by:
  `getColumnValue` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods
  `columnIndex` - The index of the column.

#### getIcon

    public URL getIcon(Object row)

Specified by:
  `getIcon` in interface `IIconProvider`

#### getContext

    public IContextObject getContext(Object row)

Description copied from interface: `IStructuredResult`
The default context of the row which is used to display information in the object inspector. Unless no context provider is given via the `ResultMetaData`, it is also used for the context menu on a row.

Specified by:
  `getContext` in interface `IStructuredResult`
Parameters:
  `row` - The row object as returned by the `IResultTable.getRow(int)` or `IResultTree.getElements()` or `IResultTree.getChildren(Object)` methods.